
#Switch to virtual python enviroment
source .venv/bin/activate

#install homebrew (https://brew.sh)
/bin/bash -c "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/HEAD/install.sh)"

#Install brew dependencies
brew install portaudio
brew install ffmpeg

# Install python dependencies
pip install -U pyaudio # Microphone
pip install numpy
pip install pillow
pip install --pre torch torchvision torchaudio --index-url https://download.pytorch.org/whl/nightly/cpu
pip install -U openai-whisper # Speech to text model (needed by speechrecognition)
pip install -U SpeechRecognition # Speech to text logic
pip install -U revChatGPT # Interacts with OpenAI ChatGPT
pip install speechbrain